#!/bin/bash

export DIR_BASE="/srv"
export KEEP_BUILDS=3

# Bash strict mode
set -euo pipefail
IFS=$'\n\t'

# Allow this script to be run only by ubuntu-it
if [[ "$(whoami)" != "ubuntu-it" ]]; then
    echo "Error: this script must be executed by the ubuntu-it user"
    exit 1
fi

base="$( cd "$(dirname "${BASH_SOURCE[0]}")" && pwd )"

# Include all the utilities from the subfiles
. "${base}/bzr.sh"
. "${base}/git.sh"
. "${base}/deploy.sh"
. "${base}/macros.sh"

unset base
